---
title: Comments API reference
description: API reference for managing error comments with endpoints to create, read, update, and delete resources.
url: https://docs.honeybadger.io/api/comments/
---

## Get a comment list or comment details

```bash
curl -u AUTH_TOKEN: https://app.honeybadger.io/v2/projects/ID/faults/ID/comments
curl -u AUTH_TOKEN: https://app.honeybadger.io/v2/projects/ID/faults/ID/comments/ID
```

Returns a list of comments or a single comment for the given fault with the following format:

```json
{
  "id": 14,
  "fault_id": 2,
  "event": null,
  "source": "unknown",
  "notices_count": 0,
  "created_at": "2012-08-22T15:47:26Z",
  "author": "Inigo",
  "body": "You killed my father; prepare to die"
}
```

## Create a comment

```bash
curl -u AUTH_TOKEN: -X POST -H 'Content-type: application/json' -d '{"comment":{"body":"My comment"}}' https://app.honeybadger.io/v2/projects/ID/faults/ID/comments
```

The `body` field is the only field that can be included in the payload.

## Update a comment

```bash
curl -u AUTH_TOKEN: -X PUT -H 'Content-type: application/json' -d '{"comment":{"body":"Updated comment"}}' https://app.honeybadger.io/v2/projects/ID/faults/ID/comments/ID
```

## Delete a comment

```bash
curl -u AUTH_TOKEN: -X DELETE https://app.honeybadger.io/v2/projects/ID/faults/ID/comments/ID
```

---

## Try Honeybadger for FREE

Intelligent logging, error tracking, and Just Enough APM™ in one dev-friendly platform. Find and fix problems before users notice.

[Start free trial](https://app.honeybadger.io/users/sign_up)

[See plans and pricing](https://www.honeybadger.io/plans/)
